pcl::visualization::RenWinInteract Class Reference

`#include <pcl/visualization/common/ren_win_interact_map.h>`

## Public Member Functions

| RenWinInteract ()

## Public Attributes

vtkSmartPointer< vtkXYPlotActor > | xy_plot_
| The XY plot actor holding the actual data. More...
vtkSmartPointer< vtkRenderer > | ren_
| The renderer used. More...
vtkSmartPointer< vtkRenderWindow > | win_
| The render window. More...
vtkSmartPointer< vtkRenderWindowInteractor > | interactor_
| The render window interactor. More...
vtkSmartPointer< vtkInteractorStyleTrackballCamera > | style_
| The render window interactor style. More...

## Detailed Description

Definition at line 57 of file ren_win_interact_map.h.

## Constructor & Destructor Documentation

## RenWinInteract()

pcl::visualization::RenWinInteract::RenWinInteract | ( |  | ) |

## Member Data Documentation

## interactor_

vtkSmartPointer<vtkRenderWindowInteractor> pcl::visualization::RenWinInteract::interactor_

The render window interactor.

Definition at line 77 of file ren_win_interact_map.h.

## ren_

vtkSmartPointer<vtkRenderer> pcl::visualization::RenWinInteract::ren_

The renderer used.

Definition at line 67 of file ren_win_interact_map.h.

## style_

vtkSmartPointer<vtkInteractorStyleTrackballCamera> pcl::visualization::RenWinInteract::style_

The render window interactor style.

Definition at line 80 of file ren_win_interact_map.h.

## win_

vtkSmartPointer<vtkRenderWindow> pcl::visualization::RenWinInteract::win_

The render window.

Definition at line 70 of file ren_win_interact_map.h.

## xy_plot_

vtkSmartPointer<vtkXYPlotActor> pcl::visualization::RenWinInteract::xy_plot_

The XY plot actor holding the actual data.

Definition at line 64 of file ren_win_interact_map.h.

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/visualization/include/pcl/visualization/common/ren_win_interact_map.h